%define zopeproductsdir  %{_libdir}/zope/lib/python/Products
%define zopeextensionsdir %{_libdir}/zope/Extensions
%define zopeuser zope
%define productname Photo
%define productver  1.2.3 

Name:               zope-%{productname}
Summary:            A Zope product: Photo and Photo Folder 
Version:            %{productver} 
Release:            1ied01
Group:              Applications/Internet 
Requires:           zope >= 2.7.0
License:            GPL
URL:                http://zope.org/Members/rbickers/Photo 
Source:             http://zope.org/Members/rbickers/%{productname}/%{productver}/%{productname}-%{productver}.tgz
Vendor:             IED
Distribution:       Zope
Packager:           Wei He <hewe@ied.org.cn>
BuildRoot:          %{_tmppath}/%{name}-%{version}-root
Buildarch:          noarch


#----------------------------------------------------------------------
%description
This product provides a Photo object and a Photo Folder object for managing digital images in Zope. Photo objects provide multiple configurable sizes of the photo. Photo Folders provide a way to manage a group of Photo objects by providing a way to specify display sizes and properties for all contained photos.

#----------------------------------------------------------------------
%prep
[ "$RPM_BUILD_ROOT" != "/" ] && %{__rm} -rf $RPM_BUILD_ROOT

%setup -n %{productname}

#----------------------------------------------------------------------
%build

#----------------------------------------------------------------------
%install
%{__mkdir_p}  $RPM_BUILD_ROOT%{zopeproductsdir}/%{productname}
%{__cp} -pr * $RPM_BUILD_ROOT%{zopeproductsdir}/%{productname}

%{__mkdir_p}  $RPM_BUILD_ROOT%{zopeextensionsdir}
%{__cp} Extensions/* $RPM_BUILD_ROOT%{zopeextensionsdir}
%{__rm} -rf $RPM_BUILD_ROOT%{zopeproductsdir}/%{productname}/Extensions

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && %{__rm} -rf $RPM_BUILD_ROOT

#----------------------------------------------------------------------
%files
%defattr(-,root,root,0755)
%doc CHANGES.txt DEPENDENCIES.txt FAQ.txt LICENSE.txt README.txt version.txt
%doc THANKS.txt TODO.txt UPGRADE.txt
%attr(-, %{zopeuser}, %{zopeuser}) %dir %{zopeproductsdir}/%{productname}
%attr(-, %{zopeuser}, %{zopeuser}) %{zopeproductsdir}/%{productname}/*
%attr(-, %{zopeuser}, %{zopeuser}) %dir %{zopeextensionsdir}
%attr(-, %{zopeuser}, %{zopeuser}) %{zopeextensionsdir}/*

%postun
if [ $1 = 0 ]; then
   %{__rm} -rf %{zopeproductsdir}/%{productname}
fi

#----------------------------------------------------------------------
%changelog
* Fri Feb 20 2004 Wei He <hewei@ied.org.cn> 1.2.3-1ied01
- Initial release
